## LatexilaSettings LatexilaSettings — Singleton class containing GSettings objects |

## Functions

LatexilaSettings * | latexila_settings_get_singleton ()
GSettings * | latexila_settings_peek_editor_settings ()
GSettings * | latexila_settings_peek_latex_settings ()

## Types and Values

struct | LatexilaSettings

## Object Hierarchy

        GObject
        ╰── LatexilaSettings

## Includes

    #include <latexila.h>

## Description

Singleton class containing GSettings objects.

See also TeplSettings.

## Functions

### latexila_settings_get_singleton ()

    LatexilaSettings *
    latexila_settings_get_singleton (void);

#### Returns

the LatexilaSettings singleton instance.

[transfer none]

### latexila_settings_peek_editor_settings ()

    GSettings *
    latexila_settings_peek_editor_settings
                                   (LatexilaSettings *self);

#### Parameters

self | the LatexilaSettings instance. |

#### Returns

the GSettings for `"org.gnome.gnome-latex.preferences.editor"`.

[transfer none]

### latexila_settings_peek_latex_settings ()

    GSettings *
    latexila_settings_peek_latex_settings (LatexilaSettings *self);

#### Parameters

self | the LatexilaSettings instance. |

#### Returns

the GSettings for `"org.gnome.gnome-latex.preferences.latex"`.

[transfer none]

## Types and Values

### struct LatexilaSettings

    struct LatexilaSettings;